### Enumeration

# Fwupd RequestFlags

#### Declaration

    flags Fwupd.RequestFlags

#### Description [src]

Flags used to represent request attributes.

#### Members

`FWUPD_REQUEST_FLAG_NONE`

  No flags are set.

  - Value: `0`
  - Available since: 2.0
`FWUPD_REQUEST_FLAG_ALLOW_GENERIC_MESSAGE`

  Use a generic (translated) request message.

  - Value: `1`
  - Available since: 2.0
`FWUPD_REQUEST_FLAG_ALLOW_GENERIC_IMAGE`

  Use a generic (translated) request image.

  - Value: `2`
  - Available since: 2.0
`FWUPD_REQUEST_FLAG_NON_GENERIC_MESSAGE`

  Device requires a non-generic interaction with custom non-translatable text.

  - Value: `4`
  - Available since: 2.0
`FWUPD_REQUEST_FLAG_NON_GENERIC_IMAGE`

  Device requires to show the user a custom image for the action to make sense.

  - Value: `8`
  - Available since: 2.0
`FWUPD_REQUEST_FLAG_UNKNOWN`

  The request flag is unknown, typically caused by using mismatched client and daemon.

  - Value: `-1`
  - Available since: 2.0